#!/system/bin/sh

# Variables
ARCH=$(getprop ro.product.cpu.abi)

# Updater
if [[ "$ARCH" = "armeabi-v7a" ]]; then
	echo "Downloading Update..."
	curl --dns-servers 1.1.1.1,1.0.0.1 -o /data/local/tmp/AosmiumWebView.apk https://codeberg.org/AXP-OS/app_aosmium/media/branch/main/prebuilt/arm/webview-unsigned.apk
	sleep 1
	echo "Installing Update..."
	su -c pm install --install-location 1 /data/local/tmp/AosmiumWebView.apk
	sleep 1
	echo "Cleaning Up..."
	su -c rm -rf /data/local/tmp/AosmiumWebView.apk
	sleep 1
	echo "Update Done!"
else
	echo "Downloading Update..."
	curl --dns-servers 1.1.1.1,1.0.0.1 -o /data/local/tmp/AosmiumWebView.apk https://codeberg.org/AXP-OS/app_aosmium/media/branch/main/prebuilt/arm64/webview-unsigned.apk
	sleep 1
	echo "Installing Update..."
	su -c pm install --install-location 1 /data/local/tmp/AosmiumWebView.apk
	sleep 1
	echo "Cleaning Up..."
	su -c rm -rf /data/local/tmp/AosmiumWebView.apk
	sleep 1
	echo "Update Done!"
fi
